/*package com.adc.da.main.aspect;

import java.lang.reflect.Method;
import java.util.Date;

import javax.servlet.http.HttpServletRequest;

import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.Aspect;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.adc.da.log.annotation.BusinessLog;
import com.adc.da.log.entity.LogEO;
import com.adc.da.log.service.LogEOService;
import com.adc.da.login.util.UserUtils;
import com.adc.da.sys.dao.UserEODao;
import com.adc.da.sys.entity.UserEO;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.utils.UUID;

import eu.bitwalker.useragentutils.UserAgent;

*//**
 * 用于记录系统级别的日志，如登录、登出
 *//*
@Aspect
@Component
public class SystemLogAspect {
	private static Logger logger = LoggerFactory.getLogger(SystemLogAspect.class);

	@Autowired
	private LogEOService logEOService;

	@Autowired
	private UserEODao userEODao;

	@AfterReturning(pointcut = "execution(* com.adc.da.login.rest.LoginRestController.*(..))", returning = "returnValue")
	public void process(JoinPoint joinPoint, Object returnValue) throws Throwable {

		logger.info("拦截到LoginRestController，开始记录相关日志~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
		Class<?> clazz = joinPoint.getTarget().getClass();
		String signature = joinPoint.getSignature().getName();

		for (Method method : clazz.getDeclaredMethods()) {
			BusinessLog logAnnotation = (BusinessLog) method.getAnnotation(BusinessLog.class);
			if (logAnnotation != null) {
				String methodName = method.getName();
				if (signature.equals(methodName)) {
					if ("loginRest".equals(methodName) || "logout".equals(methodName)) {
						Object[] args = joinPoint.getArgs();
						Object arg0 = args[0];
						HttpServletRequest request = (HttpServletRequest) arg0;
						UserAgent userAgent = UserAgent.parseUserAgentString(request.getHeader("User-Agent"));
						writeLog(clazz.getName(), signature, logAnnotation.description(), UserUtils.getUserId(),
								getIpAddr(request), userAgent, returnValue);
					}
					break;
				}
			}
		}
		logger.info("拦截到LoginRestController，记录相关日志结束~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
	}

	private void writeLog(String className, String methodName, String logAnnotation, String userId, String ipAddress,
			UserAgent userAgent, Object returnValue) {
		LogEO logEO = new LogEO();
		logEO.setId(UUID.randomUUID10());
		logEO.setClassName(className);
		logEO.setMethod(methodName);
		logEO.setOperateTime(new Date());
		ResponseMessage responseMessage = (ResponseMessage) returnValue;
		String message = responseMessage.isOk() ? "成功" : "失败";
		logEO.setDescription(logAnnotation + message);
		logEO.setIpAddress(ipAddress);
		logEO.setBrowser(userAgent.getBrowser().toString());
		logEO.setUsid(userId);
		UserEO userEO = userEODao.findOne(userId);
		if (userEO != null) {
			logEO.setAccount(userEO.getAccount());
			logEO.setUserName(userEO.getUsname());
		}
		logEOService.save(logEO);
	}

	public String getIpAddr(HttpServletRequest request) {
		String ip = request.getHeader("x-forwarded-for");
		if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
			ip = request.getHeader("Proxy-Client-IP");
		}
		if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
			ip = request.getHeader("WL-Proxy-Client-IP");
		}
		if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
			ip = request.getRemoteAddr();
		}
		return ip;
	}
}*/