package com.adc.da.main.config;

import com.adc.da.util.exception.AdcDaBaseException;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

public class AdminInterceptor extends HandlerInterceptorAdapter {

    @Override
    public boolean preHandle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Object o) throws Exception {
        Map<String, Object> usermap = (Map<String, Object>) httpServletRequest.getSession().getAttribute("usermap");
        if (usermap != null && usermap.get("USERNAME") != null && !"".equals(usermap.get("USERNAME").toString())) {
            return true;
        } else {
            throw new AdcDaBaseException("401", "未登录");
        }
//        return true;
    }

    @Override
    public void postHandle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Object o, ModelAndView modelAndView) throws Exception {

    }

    @Override
    public void afterCompletion(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Object o, Exception e) throws Exception {

    }
}
