package com.adc.da.main.config;

 
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.adc.da.util.utils.SwaggerUtils;

import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * Swagger API配置
 */
@Configuration
@EnableSwagger2
public class SwaggerConfig {

	 @Value("${swagger.enable}")
	 private  boolean enable ;
	 @Bean
	 public Docket docket() {
	     return SwaggerUtils.initDocket(enable);
	 }

}
