package com.adc.da.main.aspect;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

public class ArrayUtils {
    /**
     * 两个数组相加
     * @param target
     * @param source
     * @return 相加后新的数组集合
     */
    public static Field[] addAll(Field[] target, Field[] source) {
        if (target != null) {
            List<Field> fieldTarget = new ArrayList<>(Arrays.asList(target));
            if (source != null) {
                List<Field> fieldsSource =new ArrayList<>(Arrays.asList(source));
                for (Field field : fieldsSource) {
                    fieldTarget.add(field);
                }
            }
            target = fieldTarget.toArray(new Field[fieldTarget.size()]);
            return target;
        }
        return target;
    }
}
