package com.adc.da.sys;

import com.adc.da.mp.base.IDataFilterUserOrgs;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;

/*用途：数据权限过滤用
 * 日期：2021-02-08
 * cjj
 *
 *
 * */
@Service("dataFilterUserOrgsImpl")
@Transactional(value = "transactionManager", readOnly = false, propagation = Propagation.REQUIRED,
        rollbackFor = Throwable.class)
public class DataFilterUserOrgsImpl implements IDataFilterUserOrgs {

//    @Autowired
//    private UserEOService userEOService;
//
//    @Autowired
//    private RoleOrgEOService roleOrgEOService;

    @Autowired
    private HttpServletRequest request;

    @Override
    public List<String> getCurrentUserOrgList() {
        List<String> orgIdList = new ArrayList<>();
        orgIdList.add("ADMIN");
//        String currentUserId = "";
//        MyPrincipal principal = (MyPrincipal) SecurityUtils.getSubject().getPrincipal();
//        if (principal != null) {
//            currentUserId = principal.getId();
//        } else {
//            currentUserId = String.valueOf(request.getSession().getAttribute("loginUserId"));
//        }
//        if(StringUtils.isNotEmpty(currentUserId)){
//            UserEO userEO = userEOService.getUserWithRoles(currentUserId);
//            List<String> roleIdList = userEO.getRoleIdList();
//            String[] roleIdArray = roleIdList.toArray(new String[roleIdList.size()]);
//            orgIdList = roleOrgEOService.queryOrgIdList(roleIdArray);
//            orgIdList.addAll(userEO.getOrgIdList());
//            List<RoleEO> roleEOList = userEO.getRoleEOList();
//            //若当前登录人角色是系统管理员，则在orgIdList的最后添加上管理员的角色编码ADMIN
//            //在数据权限过滤中会根据这个进行判断
//            for(RoleEO roleEO:roleEOList){
//                if(StringUtils.equals(roleEO.getExtInfo(),"ADMIN")){
//                    orgIdList.add("ADMIN");
//                    break;
//                }
//            }
//        }
        HashSet orgIdSet = new HashSet(orgIdList);
        orgIdList.clear();
        orgIdList.addAll(orgIdSet);
        System.out.println("------------main--------------IDataFilterUserOrgs");
        return orgIdList;
    }
}
